using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Domain
{
    public class SysHotelGroup
	{
		/// <summary>
		/// ID
		/// </summary>
		public virtual int ID
		{
			get;
			set;
		}

		/// <summary>
		/// 父级分组
		/// </summary>
        public virtual SysHotelGroup Parent
		{
			get;
			set;
		}

		/// <summary>
		/// Name
		/// </summary>
		public virtual string Name
		{
			get;
			set;
		}
		/// <summary>
		/// Sort
		/// </summary>
		public virtual int Sort
		{
			get;
			set;
		}

		public override bool Equals(object obj)
		{
            SysHotelGroup group = obj as SysHotelGroup;

			if (group == null)
			{
				return false;
			}

			return this.ID == group.ID;
		}

		public override int GetHashCode()
		{
			return this.ID.GetHashCode();
		}
        /// <summary>
        /// 最新更新日期
        /// </summary>
        public virtual DateTime? Last_Modified_Time
        {
            get;
            set;
        }
        /// <summary>
        /// 是否已删除
        /// </summary>
        public virtual bool IsDeleted
        {
            get;
            set;
        }
	}
}
